Product Variant
Manage product variants via the VARIO Cloud REST API, including creating variants, updating fields, and retrieving schemas and combinations.
the Product-Variant API
Body
mainArticleIdinteger · int64Required
Main article identifier.
Responses
200
OK
*/*
contextstringOptional
message context
messageValuestringOptional
message
post/erp/product-variants/productVariantUpdateJob
POST /erp/product-variants/productVariantUpdateJob HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 39
{
"mainArticleId": 1,
"fields": [
"PRICES"
]
}200
OK
{
"context": "text",
"messageValue": "text"
}Body
Request for creating product variants.
productTypestring · enumRequiredPossible values:
Article types.
createTemplateIdinteger · int64Optional
Template for creating the variant articles.
Responses
200
OK
*/*
contextstringOptional
message context
messageValuestringOptional
message
post/erp/product-variants/productVariantCreationJob
POST /erp/product-variants/productVariantCreationJob HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 133
{
"mainArticleRef": {
"id": "text"
},
"combinations": [
[
1
]
],
"blackListedCombinations": [
[
1
]
],
"productType": "WITH_STOCK",
"createTemplateId": 1
}200
OK
{
"context": "text",
"messageValue": "text"
}get
Path parameters
mainVariantArticleIdinteger · int64Required
Responses
200
OK
*/*
get/erp/product-variants/{mainVariantArticleId}/combinations
GET /erp/product-variants/{mainVariantArticleId}/combinations HTTP/1.1
Host: api.example.com
Accept: */*
200
OK
{
"variantSchema": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"attributeRefs": [],
"eligibleValueRefs": [],
"active": true
},
"attributes": [],
"values": [],
"usedCombinations": []
}get
Path parameters
variantSchemaIdinteger · int64Required
Responses
200
OK
*/*
Variant schema with the ERP configuration.
versionstringOptional
Version Identifier for this Object (for PUT)
idstringOptional
Unique identifier of the Object
labelstringRead-onlyOptional
Label.
descriptionstringRead-onlyOptional
Description.
activebooleanRead-onlyOptionalDefault:
Is this active?
trueget/erp/product-variants/schema/{variantSchemaId}
GET /erp/product-variants/schema/{variantSchemaId} HTTP/1.1
Host: api.example.com
Accept: */*
200
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"active": true,
"attributes": [],
"eligibleValueRefs": []
}Last updated
Was this helpful?